improved

fixed

1.12.0

✨ Improvements
  • Suppress showing pre-existing issues to the user if the file was not explicitly requested to be linted either on the command-line or because it was modified.
  • Sarif output linters now forward range information to the LSP server.
  • trunk check list
    no longer shows deprecated linters.
🔧 Fixes
  • Fix bug validating minimum trunk version for a plugin repo if using
    .trunk/user.yaml
    .
  • Fix a memory leak in the LSP server.
  • Fix a number of rare crashes.